#!/bin/bash

Sample=LaFeOP

cp POSCAR POSCAR.prev

for P in 0.0 0.8 1 3 5 8 10 30 50 100 200 300 600 700
do
  Dir=${Sample}.${P}kbar;\
  echo mkdir $Dir;\
  mkdir $Dir;\
  echo cp {INCAR,KPOINTS,POTCAR} $Dir;\
  cp {INCAR,KPOINTS,POTCAR} $Dir;\
  echo cp POSCAR.prev $Dir/POSCAR;\
  cp POSCAR.prev $Dir/POSCAR;\
  echo cd $Dir;\
  cd $Dir;\
  pwd;\
  echo ../DoVASP.sh BackUpOriginal=1 DoVCRelax=1 DoSCF=1 CalculateDOS=0 CalculateBand=0 CalculateElectronDensity=0 SpinPolarized=Yes Precision=High aKProduct=2.4 EDIFF=1.0e-5 EDIFFG=1.0e-4 KeepSymmetry=0 PStress=$P ;\
  ../DoVASP.sh BackUpOriginal=1 DoVCRelax=1 DoSCF=1 CalculateDOS=0 CalculateBand=0 CalculateElectronDensity=0 SpinPolarized=Yes Precision=High aKProduct=2.4 EDIFF=1.0e-5 EDIFFG=1.0e-4 KeepSymmetry=0 PStress=$P;\
  echo cp POSCAR ../POSCAR.prev;\
  cp POSCAR ../POSCAR.prev;\
  echo cd ..;\
  cd ..
done
