set script=cif2xrd.py

set datadir=..\data

set infile=%datadir%\phase1.cif
set beam=Electron
:set beam=X-ray
set Xray=CuKa1*1+CuKa2*0.5
set fwhm=0.1
set Gfraction=0.5
set yscale=linear
:set yscale=log

python %script% sim %beam% %infile% %Xray% 5 100 0.02 %fwhm% %Gfraction% %yscale%
