call ../bin/configure_atlas.bat

set PYTHONPATH=%tklib_Root%/python;%PYTHONPATH%

set script=%tkprog_X_path%/plugin/extract_data.py
:set script=./bin/extract_data.py

set input_plugin_dir=%tkprog_X_path%/plugin/filter
:set input_plugin_name=xlsx2xlsx
set input_plugin_name=xlsx2xy
:set output_plugin_dir=%tkprog_X_path%/plugin/filter
:set output_plugin_name=xlsx2xlsx
:set output_plugin_dir=%tkprog_X_path%/ATLAS/filter
:set output_plugin_name=atlas_tft2dat
set output_plugin_dir=%tkprog_X_path%/plugin/filter
set output_plugin_name=xlsx2xy

:set datadir=.
:set infile=%datadir%/P-230119-02-3_303K.csv
set datadir=\git\tkProg.data\XRD\xrd_files
set infile=%datadir%/Bi2OS2.xlsx
:set outfile=%datadir%/P-230119-02-3_303K-extracted.xlsx
:set outfile=%datadir%/P-230119-02-3_303K-extracted.dat
set outfile=%datadir%/Bi2OS2-xy.txt

set xmin=20.0
set xmax=30.0
set ymin=-1.0e100
set ymax=1.0e100
set nxmax=50

echo.
echo Run [python %script% "%input_plugin_dir%" "%input_plugin_name%" "%output_plugin_dir%" "%output_plugin_name%" "%infile%" "%outfile%" %xmin% %xmax% %ymin% %ymax% %nxmax%]
python %script% --input_plugin_dir="%input_plugin_dir%" --input_plugin_name="%input_plugin_name%" ^
		--output_plugin_dir="%output_plugin_dir%" --output_plugin_name="%output_plugin_name%" ^
		--infile="%infile%" --outfile="%outfile%" ^
		--xmin=%xmin% --xmax=%xmax% --ymin=%ymin% --ymax=%ymax% --nxmax=%nxmax%

