#!/usr/bin/bash

#. ./bin/configure_atlas.sh

script=$tkprog_X_path/plugin/extract_data.py
#script=./bin/extract_data.py

input_plugin_dir=$tkprog_X_path/plugin/filter
input_plugin_name=xlsx2xlsx
#output_plugin_dir=$tkprog_X_path/plugin/filter
#output_plugin_name=xlsx2xlsx
output_plugin_dir=$tkprog_X_path/ATLAS/filter
output_plugin_name=atlas_tft2dat

datadir=.
infile=$datadir/P-230119-02-3_303K.csv
#outfile=$datadir/P-230119-02-3_303K-extracted.xlsx
outfile=$datadir/P-230119-02-3_303K-extracted.dat

xmin=-3.0
xmax=3.0
ymin=1.0e-13
ymax=1.0e12
nxmax=10

echo
echo Run [python $script "$input_plugin_dir" "$input_plugin_name" "$infile" "$outfile" $xmin $xmax $ymin $ymax $nxmax]
python $script --input_plugin_dir="$input_plugin_dir" --input_plugin_name="$input_plugin_name" \
		--output_plugin_dir="$output_plugin_dir" --output_plugin_name="$output_plugin_name" \
		--infile="$infile" --outfile="$outfile" \
		--xmin=$xmin --xmax=$xmax --ymin=$ymin --ymax=$ymax -nxmax=$nxmax

