set script=vaspkit2dos.py

set datadir=\tkProg\tkProg.data\PES\SrOH\20231013data-v2\1-CaSiO3_P-1

set infile1=%datadir%\PDOS_Ca.dat
set infile2=%datadir%\PDOS_Si.dat
set infile3=%datadir%\PDOS_O.dat

set Emin=-10.0
set Emax=10.0
set width=0.3
set nxmin_plot=1000

python %script% "%infile1%" "%infile2%" "%infile3%" --xmin=%Emin% --xmax=%Emax% --width=%width% --nxmin_plot=%nxmin_plot%

