#!/bin/bash


#DFT Functional=PAW_LDA64|PAW_PBE64|PAW_LDA54|PAW_PBE54
#GGA: PE: PBE RE: revPBE RP: RPBE PS: PBEsol AM: AM05  91: PW91, CA VW  HL WI
# MBJ LMBJ TPSS RTPSS M06L MS0 MS1 MS2 SCAN RSCAN R2SCAN SCANL RSCANL R2SCANL OFR2 
#HybridFunctional=HF|HSE|PBE0
#     B3: B3LYP with VWN3  B5: B3LYP with VWN5


# BaseDir 
# $SpinPolarized GammaOnlyCommon ISMEARCommon 
Conditions="No 0 -5"
# MakeFiles VCRrough VCR CalculateDOS CalculateBand DeleteExtraFiles DeleteLargeFiles
Flags="1 1 1 1 1 1 1"
Functional=PAW_PBE64
Files="./template DoVASP_PBE.sh GaAs.cif FCC-PrimitiveCell.klist"
# other functional parts: GGA METAGGA HybridFunctional


# MakeFiles VCRrough VCR CalculateDOS CalculateBand 
Flags="1 0 0 1 1 1 1"
# other functional parts: GGA METAGGA HybridFunctional
./ModifyDoVASP.sh MBJ_PBE     $Conditions $Flags $Functional - MBJ  - $Files
./ModifyDoVASP.sh LMBJ_PBE    $Conditions $Flags $Functional - LMBJ - $Files

# MakeFiles VCRrough VCR CalculateDOS CalculateBand 
Flags="1 1 1 1 1 1 1"
# other functional parts: GGA METAGGA HybridFunctional
./ModifyDoVASP.sh TPSS_PBE     $Conditions $Flags $Functional - TPSS    - $Files
./ModifyDoVASP.sh RTPSS_PBE    $Conditions $Flags $Functional - RTPSS   - $Files
./ModifyDoVASP.sh SCAN_PBE     $Conditions $Flags $Functional - SCAN    - $Files
./ModifyDoVASP.sh RSCAN_PBE    $Conditions $Flags $Functional - RSCAN   - $Files
./ModifyDoVASP.sh R2SCAN_PBE   $Conditions $Flags $Functional - R2SCAN  - $Files
./ModifyDoVASP.sh SCANL_PBE    $Conditions $Flags $Functional - SCANL   - $Files
./ModifyDoVASP.sh RSCANL_PBE   $Conditions $Flags $Functional - RSCANL  - $Files
./ModifyDoVASP.sh R2SCANL_PBE  $Conditions $Flags $Functional - R2SCANL - $Files
./ModifyDoVASP.sh OFR2_PBE     $Conditions $Flags $Functional - OFR2    - $Files
./ModifyDoVASP.sh MS0_PBE      $Conditions $Flags $Functional - MS0     - $Files
./ModifyDoVASP.sh MS1_PBE      $Conditions $Flags $Functional - MS1     - $Files
./ModifyDoVASP.sh MS2_PBE      $Conditions $Flags $Functional - MS2     - $Files
./ModifyDoVASP.sh M06L_PBE     $Conditions $Flags $Functional - M06L    - $Files
