set PYTHONPATH=%tklib_Root%/python;%PYTHONPATH%

set script=%tkprog_X_path%/plugin/split_file.py

set input_plugin_dir=%tkprog_X_path%/XRF/filter
set input_plugin_name=bruker_tiger2xlsx
set output_plugin_dir=%tkprog_X_path%/plugin/filter
set output_plugin_name=xlsx2xy

set datadir=%tkprog_X_path%\XRF
set infile=%datadir%/KI240409-1-IGZO.txt
set output_dir=%datadir%

echo.
echo Run [python %script% "%input_plugin_dir%" "%input_plugin_name%" "%output_plugin_dir%" "%output_plugin_name%" "%infile%" "%outfile%]
python %script% --input_plugin_dir="%input_plugin_dir%" --input_plugin_name="%input_plugin_name%" ^
		--output_plugin_dir="%output_plugin_dir%" --output_plugin_name="%output_plugin_name%" ^
		--infile="%infile%" --output_dir="%output_dir%"

